SuSE 10 Security Update : ImageMagick (ZYPP Patch Number 2239)

2007-12-13T00:00:00
ID SUSE_IMAGEMAGICK-2239.NASL
Type nessus
Reporter Tenable
Modified 2014-10-28T00:00:00

Description

Two security problems were found in GraphicsMagick which are also present in ImageMagick.

  • Multiple buffer overflows in ImageMagick allowed user-assisted attackers to cause a denial of service and possibly execute execute arbitrary code via (1) a DCM image that is not properly handled by the ReadDCMImage function in coders/dcm.c, or (2) a PALM image that is not properly handled by the ReadPALMImage function in coders/palm.c. (CVE-2006-5456)

Additionally a segfault regression when converting a PGM image was fixed on SLE 10.

                                        
                                            #
# (C) Tenable Network Security, Inc.
#
# The text description of this plugin is (C) Novell, Inc.
#

include("compat.inc");

if (description)
{
  script_id(29348);
  script_version ("$Revision: 1.10 $");
  script_cvs_date("$Date: 2014/10/28 10:42:46 $");

  script_cve_id("CVE-2006-5456");

  script_name(english:"SuSE 10 Security Update : ImageMagick (ZYPP Patch Number 2239)");
  script_summary(english:"Checks rpm output for the updated packages");

  script_set_attribute(
    attribute:"synopsis", 
    value:"The remote SuSE 10 host is missing a security-related patch."
  );
  script_set_attribute(
    attribute:"description", 
    value:
"Two security problems were found in GraphicsMagick which are also
present in ImageMagick.

  - Multiple buffer overflows in ImageMagick allowed
    user-assisted attackers to cause a denial of service and
    possibly execute execute arbitrary code via (1) a DCM
    image that is not properly handled by the ReadDCMImage
    function in coders/dcm.c, or (2) a PALM image that is
    not properly handled by the ReadPALMImage function in
    coders/palm.c. (CVE-2006-5456)

Additionally a segfault regression when converting a PGM image was
fixed on SLE 10."
  );
  script_set_attribute(
    attribute:"see_also",
    value:"http://support.novell.com/security/cve/CVE-2006-5456.html"
  );
  script_set_attribute(attribute:"solution", value:"Apply ZYPP patch number 2239.");
  script_set_cvss_base_vector("CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P");

  script_set_attribute(attribute:"plugin_type", value:"local");
  script_set_attribute(attribute:"cpe", value:"cpe:/o:suse:suse_linux");

  script_set_attribute(attribute:"patch_publication_date", value:"2006/11/07");
  script_set_attribute(attribute:"plugin_publication_date", value:"2007/12/13");
  script_end_attributes();

  script_category(ACT_GATHER_INFO);
  script_copyright(english:"This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.");
  script_family(english:"SuSE Local Security Checks");

  script_dependencies("ssh_get_info.nasl");
  script_require_keys("Host/local_checks_enabled", "Host/cpu", "Host/SuSE/release", "Host/SuSE/rpm-list");

  exit(0);
}


include("global_settings.inc");
include("rpm.inc");


if (!get_kb_item("Host/local_checks_enabled")) exit(0, "Local checks are not enabled.");
if (!get_kb_item("Host/SuSE/release")) exit(0, "The host is not running SuSE.");
if (!get_kb_item("Host/SuSE/rpm-list")) exit(1, "Could not obtain the list of installed packages.");

cpu = get_kb_item("Host/cpu");
if (isnull(cpu)) exit(1, "Failed to determine the architecture type.");
if (cpu >!< "x86_64" && cpu !~ "^i[3-6]86$") exit(1, "Local checks for SuSE 10 on the '"+cpu+"' architecture have not been implemented.");


flag = 0;
if (rpm_check(release:"SLED10", sp:0, reference:"ImageMagick-6.2.5-16.10")) flag++;
if (rpm_check(release:"SLED10", sp:0, reference:"ImageMagick-Magick++-6.2.5-16.10")) flag++;
if (rpm_check(release:"SLED10", sp:0, reference:"ImageMagick-devel-6.2.5-16.10")) flag++;


if (flag)
{
  if (report_verbosity > 0) security_warning(port:0, extra:rpm_report_get());
  else security_warning(0);
  exit(0);
}
else exit(0, "The host is not affected.");